:root {
    --font: rgb(214, 186, 147);
    --background: rgb(147, 96, 51);
    --third: rgb(151, 108, 71);
}

body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    background-image: url(../images/background.jpg);
    background-size: cover;
}

header {
    background-color: var(--background);
    width: 100%;
    height: fit-content;
    top: 0px;
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    z-index: 5;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0;
}

#logo {
    text-align: center;
    width: 150px;
    padding: 0 10px;
}

#logo-name {
    color: var(--font);
    font-size: 32px;
    font-weight: bold;
}

#shoppingcart {
    text-align: center;
    width: 150px;
    padding: 0 10px;
}

#cart-name {
    color: var(--font);
}

#user-name {
    color: var(--font);
    font-size: 24px;
}


header nav {
    text-align: center;
    display: flex;
}

header nav a {
    padding: 20px;
    color: var(--font);
    font-size: 24px;
    text-decoration: none;
    border: 5px;
    border-color: var(--font);
    border-style: outset;
}

header nav a:hover {
    color: rgb(255, 255, 255);
}

.active {
    border-style: solid;
    color: rgb(255, 255, 255);
    background-color: var(--third);
}

.dropdown {
    position: relative;
    display: inline-flex;
    height: 78px;
    border: 0;
}

.dropdown a {
    padding: 0;
    border: 0;
    margin: 0;
}

.dropdown a img {
    padding: 5px;
    background-color: var(--third);
    width: 90px;
    height: 68px;
}

.dropdown-content {
    position: absolute;
    display: none;
    z-index: 1;
}

.dropdown:hover .dropdown-content {
    display: inline-flex;
    flex-direction: row;
}

main {
    width: 45%;
    margin: 5% auto;
    background-color: rgb(255, 255, 255);
    background-image: url(../images/flour-table.jpg);
    background-size: 110% 534px;
    background-repeat: repeat-y;
    padding: 10px 20px 30px 20px;
    border-radius: 10px;
}

h2 {
    text-align: center;
}

h3 {
    margin: 10px;
    text-align: center;
}

main h2 {
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    background-color: var(--background);
    color: var(--font);
    width: fit-content;
    padding: 10px 20px;
    margin: 10px auto;
}

h1 {
    text-align: center;
}

main h1 {
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    background-color: var(--background);
    color: var(--font);
    width: fit-content;
    padding: 10px 20px;
    margin: 10px auto;
}

.contacts-with-icon {
    box-sizing: border-box;
    border: var(--font);
    border-width: 5px;
    border-radius: 10px;
    border-style: solid;
    background-color: var(--background);
    color: var(--font);
    width: 90%;
    margin: 5% auto 5% auto;
}

.contacts-with-icon div {
    box-sizing: border-box;
    border: var(--font);
    border-width: 2px 0 2px 0;
    border-style: solid;
    background-color: var(--background);
    display: flex;
    align-items: center;
    margin: 5%;

}

.contacts-with-icon span {
    padding: 10px 0 10px 0;
    display: inline-block;
    width: 100%;
    text-align: center;
}

.contacts-with-icon img {
    display: inline;
}

.fb-container {
    width: 100%;
    text-align: center;
}

.textbox {
    background-color: var(--font);
    color: red;
    padding: 5px;
    line-height: 25px;
    box-sizing: border-box;
}

#sortiment {
    text-align: center;
}

#sortiment table {
    width: 100%;
    text-align: center;
}

#sortiment h3 {
    box-sizing: border-box;
    border: var(--font);
    border-style: solid;
    background-color: var(--background);
    color: var(--font);
    width: 100%;
    padding: 10px 0;
    margin: 10px 0 0 0;
}

#sortiment summary {
    font-size: large;
    box-sizing: border-box;
    border: var(--font);
    border-style: solid;
    background-color: var(--background);
    color: var(--font);
    width: 100%;
    padding: 10px 0;
    margin: 10px 0 0 0;
}

#sortiment th {
    color: var(--font);
    background-color: var(--background);
    border-color: var(--font);
    border-style: solid;
    line-height: 50px;
    width: 25%;
}

#sortiment td {
    background-color: var(--font);
    color: rgb(0, 0, 0);
    line-height: 40px;
    width: 25%;
}

#sortiment td:first-child img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: auto;
    height: 100px;
}

#sortiment td:first-child a:hover {
    cursor: zoom-in;
    opacity: 70%;
}

#sortiment td:nth-child(2) button {
    width: 90%;
    margin: auto;
    bottom: 0;
    padding: 0;
}

/* #sortiment td:nth-child(2):hover {
    background-color: var(--third);
    cursor: zoom-in;
} */

/* #sortiment td:first-child img:hover {
    top: 10vh;
    position: fixed;
    height: auto;
    left: 30%;
    right: 30%;
    width: 40%;
    background-color: rgb(255, 255, 255);
} */

#sortiment button {
    height: 30px;
    width: 30px;
    margin-right: 10px;
}

button {
    color: var(--font);
    background-color: var(--background);
    border-color: var(--font);
}

button:hover {
    color: rgb(255, 255, 255);
    background-color: var(--third);
}

#cart {
    background-color: rgb(255, 255, 255);
    position: absolute;
    top: 209px;
    right: 0;
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    width: 25%;
    background-image: url(../images/flour-table.jpg);
    background-size: 100% 534px;
    background-repeat: repeat-y;
    text-align: center;
    z-index: 10;
}

main #cart {
    position: relative;
    top: 0;
    width: 80%;
    margin: 0 auto;
    background: none;
    border-style: hidden;
}

#cart h2 {
    padding-bottom: 20px;
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    background-color: var(--background);
    color: var(--font);
    width: fit-content;
    padding: 10px 20px;
    margin: 10px auto;
}

#cart #title {
    padding-bottom: 20px;
    box-sizing: border-box;
    border: var(--font);
    border-width: 10px;
    border-style: ridge;
    background-color: var(--background);
    color: var(--font);
    width: fit-content;
    padding: 10px 20px;
    margin: 20px auto 0px auto;
}

#cart table {
    width: 100%;
    margin: auto;
}

#cart table th {
    color: var(--font);
    background-color: var(--background);
    border-color: var(--font);
    border-style: solid;
    line-height: 50px;
    width: 30%;
}

#cart table td {
    width: 30%;
    background-color: var(--font);
    color: rgb(0, 0, 0);
    line-height: 30px;
}

#cart table td button {
    float: right;
}

#cart button a {
    text-decoration: none;
    color: var(--font);
}

#total-price {
    color: var(--font);
    background-color: var(--background);
    border-color: var(--font);
    border-style: solid;
    line-height: 50px;
    width: 99%;
    margin: 0 auto;
}

#cart button {
    font-size: large;
}

.no-buttons table tr :nth-child(4) {
    display: none;
}

.infoblock-img-left {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.infoblock-img-right {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-direction: row-reverse;
}

.infoblock-img-left p {
    width: 50%;
    background-color: var(--font);
    padding: 10px;
    border: var(--background);
    border-width: 10px;
    border-style: dashed;
}

.infoblock-img-right p {
    width: 50%;
    background-color: var(--font);
    padding: 10px;
    border: var(--background);
    border-width: 10px;
    border-style: dashed;
}

.infoblock-img-left img {
    width: 35%;
}

.infoblock-img-right img {
    width: 35%;
}

footer {
    width: 100%;
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255);
    padding: 1% 0;
    display: flex;
    justify-content: space-evenly;
}

footer h3 {
    text-align: center;
}

footer a {
    color: rgb(255, 255, 255);
}

#terms {
    box-sizing: border-box;
    border: var(--font);
    border-width: 5px;
    border-radius: 10px;
    border-style: solid;
    background-color: var(--background);
    color: var(--font);
    width: 90%;
    margin: 5% auto 5% auto;
    padding: 5% 0 5% 0;
}

#terms h3 {
    text-decoration: underline;
}

#terms p {
    margin: auto;
    width: 80%;
}

#orderinfo {
    box-sizing: border-box;
    border: var(--background);
    border-width: 5px;
    border-radius: 10px;
    border-style: solid;
    background-color: var(--font);
    width: 80%;
    margin: 5% auto 5% auto;
    padding: 1%;
}

#orderinfo h3 {
    text-decoration: underline;
}

#orderinfo input[type=text],
#orderinfo input[type=date],
#orderinfo input[type=time],
#orderinfo input[type=email] {
    display: block;
    width: 220px;
}

#orderinfo input[type=submit] {
    background-color: var(--background);
    color: var(--font);
    font-size: large;
    padding: 5px;
    margin: auto;
}

#warning-message {
    color: red;
    font-size: small;
    width: 80%;
    margin: 0 auto 10px;
}

.centerer {
    text-align: center;
}

#confirmation-message {
    width: 80%;
    background-color: var(--font);
    padding: 10px 5px;
    margin: auto;
}

#mobilepay-message {
    width: 80%;
    background-color: var(--font);
    margin: auto;
}

#mobilepay-img {
    width: 40%;
    background-color: white;
}

#activatecookiesinfo {
    background-color: var(--font);
    box-sizing: border-box;
    border: red;
    border-width: 5px;
    border-style: solid;
}

#cookieacceptbox {
    position: sticky;
    bottom: 0;
    max-width: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 10px;
    font-size: large;
    z-index: 12;
    display: flex;
    justify-content: space-evenly;
}

#cookieacceptbox span {
    max-width: 50%;
}

#cookieacceptbox button {
    font-size: larger;
}

.loader {
    border: 16px solid rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
    border-top: 16px solid rgb(214, 186, 147);
    margin: auto;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.modal {
    display: none;
    position: fixed;
    z-index: 11;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
}

#modal-content {
    display: flex;
    flex-direction: row;
    width: 60%;
    height: 50%;
    margin: 10% 20%;
    box-sizing: border-box;
    border: var(--background);
    border-width: 5px;
    border-radius: 10px;
    border-style: solid;
    background-color: var(--font);
    /* background-image: url(../images/flour-table.jpg); */
    /* background-size: cover; */
}

.modal-img-box {
    width: 50%;
}

.modal-text-box {
    width: 50%;
}

.modal-image {
    width: 80%;
    max-height: 80%;
    margin: 10% 0 0 10%;
}

.modal-image:hover {
    opacity: 0.7;
    cursor: zoom-in;
}


.modal-title {
    font-size: larger;
    float: left;
    width: 60%;
    margin: 10% 0 0 0;
}

.modal-price {
    font-size: larger;
    float: right;
    text-align: right;
    width: 20%;
    margin: 10% 10% 0 0;
}

.modal-text {
    float: left;
    width: 80%;
    margin: 5% 20% 0 0;
}

.modal-button-text {
    float: left;
    font-size: large;
    margin: 5% 0 1% 0;
    width: 100%;
}

.modal-button {
    float: left;
    font-size: larger;
    margin: 0 1% 0 0;
}

/* Add Animation */
#modal-content {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }

    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */
.close {
    position: absolute;
    top: 10px;
    right: 20px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.post-button {
    display: inline;
    color: var(--font);
    background-color: var(--background);
    border-color: var(--font);
}

.inline-form {
    display: inline;
}

.post-button:hover {
    color: rgb(255, 255, 255);
    background-color: var(--third);
}

#active-order {
    border-style: solid;
    border-color: green;
    border-width: thick;
}

.login-form {
    box-sizing: border-box;
    border: var(--background);
    border-width: 5px;
    border-radius: 10px;
    border-style: solid;
    background-color: var(--font);
    width: 80%;
    margin: 5% auto 5% auto;
    padding: 1%;
}

@media screen and (max-width: 1800px) {
    #cart {
        top: 0;
        width: 47%;
        position: relative;
        margin: 5% auto 0 auto;
        padding: 10px 20px 10px 20px;
    }
}

@media screen and (max-width: 1200px) {
    header {
        flex-direction: column;
    }

    header nav {
        flex-direction: column;
    }

    footer {
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    main {
        width: 80%;
    }

    #cart {
        width: 84%;
    }

    .dropdown {
        position: relative;
        display: inline-block;
    }

    .dropdown-content {
        position: relative;
        display: inline-block;
    }
    #modal-content {
        width: 80%;
        margin: 10% 10%;
    }
}

@media screen and (max-width: 800px) {
    #cookieacceptbox {
        font-size: small;
    }
    #modal-content {
        flex-direction: column;
        height: 80%;
    }
    .modal-img-box {
        width: 80%;
        max-height: 50%;
        margin: 5% auto;
    }
    .modal-image {
        margin: 0;
        width: 100%;
        max-height: 100%;
    }
    .modal-text-box {
        width: 80%;
        margin: 0 auto;
    }
    .modal-price {
        font-size: large;
        float: left;
        text-align: left;
        width: 100%;
        margin: 0;
    }
    .modal-title {
        font-size: large;
        width: 100%;
        margin: 0;
    }
}

@media screen and (max-width: 600px) {
    main {
        width: 100%;
        overflow: hidden;
        padding: 10px 0 30px 0;
    }
    #cart {
        width: 100%;
        overflow: hidden;
        padding: 0;
    }
    .contacts-with-icon img {
        display: none;
    }
    #cookieacceptbox {
        font-size: smaller;
    }
}

@media screen and (max-width: 450px) {
    #sortiment table tr th:nth-of-type(1) {
        max-width: 80px;
    }

    #sortiment table tr td:nth-of-type(1) img {
        max-width: 80px;
        object-fit: fill;
    }
}

@media screen and (max-width: 350px) {
    #cart table tr th:nth-of-type(2) {
        display: none;
    }

    #cart table tr td:nth-of-type(2) {
        display: none;
    }

    #sortiment table tr th:nth-of-type(1) {
        display: none;
    }

    #sortiment table tr td:nth-of-type(1) {
        display: none;
    }

    #sortiment table tr th:nth-of-type(3) {
        display: none;
    }

    #sortiment table tr td:nth-of-type(3) {
        display: none;
    }

    .dropdown a img {
        max-width: 60px;
    }
}

#responsive-netslogo {
    padding-left: 10px;
}
